Description

I'm looking for a way to tell if a character is the group leader. Something like ${Me.IsGroupLeader} would be wonderful.
Other addtions:

${Me.Group[X].IsGroupLeader}

${Me.Raid[X].IsRaidLeader}

${Me.Raid[X].IsRaidLooter}

History

#1 - 2015-12-15 06:37 AM - Amadeus
- Status changed from New to Feedback Required

- Assignee set to Amadeus

I will have to log in with someone in a group to look at this further; however, for now, what are the ways that you can tell who is the leader if you were
just playing the game without ISXEQ2? In other words, where is this information found in the EQ2 user interface?

#2 - 2015-12-15 06:54 AM - Kannkor

When you are grouped, the group window shows the leader as a yellow highlighted/border around their name.

| can group with you any time/make a raid.

#3 - 2015-12-16 07:44 AM - Amadeus

- Status changed from Feedback Required to Implemented

December 16, 2015

[20151208.0003]

* The 'Label' MEMBER of the eqg2uielement class, when used with a "Text" type element, will return the
localized text.

* Added new MEMBER to the character datatype:

1. IsGroupLeader (bool)
* Added new MEMBER to the eqg2uielement datatype:
1. TextColor (uint)
(Note: "TextColor" is only valid for 'Text' type eg2uielements and may not always be the value anticipated

due to overlays/shadows/etc.)
* Added new Knowledgebase Article: "How to determine group leader"

> https://forge.isxgames.com/projects/isxeq2/knowledgebase/articles/19

2024-04-30 1/1



https://forge.isxgames.com/projects/isxeq2/knowledgebase/articles/19
http://www.tcpdf.org

